[download]
1=$1:$2 link...
2=Connected $1:$2 successfully
3=Redirecting to $1
4=Redirected too many times, from
5=The file does not exist, from
6=Does not support the establishment of a starting point file transfer, withdraw
7=Has been suspended from
8=Error occurs, exit
9=The error occurred, waiting for $1 seconds to retry...
10=Procedural mistakes from
11=Over try number withdrawal
12=The file size and file size has been inconsistent, from
13=Started reading data...
14=Read data error
15=File length: $1
16=No. of data packets: $1
17=Data packet size: $1
18=Document size: $1

19=The other is within the network ip, 本机是外网ip，Do not allow transit hub linking request
20=The other is within the network ip, 本机ip是外网ip，transit hub linking request
21=Let transit hub linking request failed
22=Let the transit hub linking request and wait for the other side to respond to....
23=The other side did not respond 
24=Received in response to the other side
25=Waiting for the other side to respond to overtime
26=Version mismatch

27=Table of Contents: $1 The document: $2 does not exist
28=Unable to open the directory: $1 The Document: $2
29=Connecting......
30=Searching for mirrors......
31=$1 bytes of data calibration errors, Re-download this part of the data
32=Download Completed
33=Download Failed
34=User cancelled download
35=Cannot connect to host, looking for mirrors......
36=Resource searching stopped
37=Cannot reach host, try later
38=Cannot search, try later
39=Connected, the document size is: $1
40=Fileseize too small, confirming......
41=Start to create documents......
42=Not enough Disk space.
43=Disk can not write, failed to create documents
44=Document creating successful, start to download data......
45=Primary resources with the previous downloading at the same document is not a document, discard
46=File size to small, abandoned
47=Start the download data......
48=Resources original document size and resources inconsistent with the data discarded download data resources
49=Searching for resources
50=Session expired
51=Looking up......
52=Cannot connect
53=Connected, the file size is: $1
54=Inconsistent size of document, discard
55=Unreasonable isze of the document, discard
56=Calibration data errors, which could not be rectified, task failed

57=Connected to resources but no data found
58=Resources incompatible, waiting for answer......
59=Wait for welcome message...
61=Unable to resolve host name: at $1
62=Cannot connect Resources
63=Resources received incompatible, download abandoned
64=$1 Resource used to download a thread
65=More Resources needed
66=Using different resources to download $1
67=Redownloading
68=Not Enough Disk Space. Please allocate the spaces for download
69=Not Enough Disk Space. Please allocate the spaces for download

70=Data version, too big to handle
71=Data format, too big to handle
72=Downloading the document, please wait patiently...
73=Document has been completed!
74=Successful merging $1
75=Merging of Document $1 Failed!
76=Establishing of $1 Index......
77=Not found any of the types of documents, the merger failed!
78=Currently only support RMFF(RealMedia File Format) Format!
79=$1 documents remaining to be merged!
80=Merging Document Failed
81=Temporary Files not found
82=Unsupported format

84=Checking Torrent...
85=$1 open failed
86=Invalid document
87=Torrent Check completed!
88=BT fetching Resource Information(Document No: $1)...
89=BT resources information received(Document No: $1)
90=BT resources information failed(Document No: $1),$2

91=Network error
92=Server failure
93=No server resources

94=$1 successfully created
95=$1 Download completed

96=Failure to open the Torrent file
97=Unknown error
98=Failure to open data files, please confirm that you want to download the document is not occupied
99=Rename data files failure to preserve downloaded files folder the same name has been in existence documents
100=The documents were invalid

101=Connecting Tracker $1
102=Tracker $1 failed, $2 seconds to retry...
103=Tracker $1 returned $2 peers
104=DHT Network returned $1 peers

115=文件创建成功
116=分块完成
117=错误定位
119=文件已完成
120=文件读写错误,请检查文件名是否合法或是否有足够磁盘空间
121=分块校验失败

122=新的客户ID为$1$2
123=错误:$1
124=警告:$1

125=源[$1]开始传输
126=源[$1]中止传输
127=请求反向连接
128=从服务器搜索源
129=从KAD网络搜索源
134=源[$1]请求上传
135=源[$1]请求停止上传
137=正在连接ED2K服务器...
138=正在连接KAD网络...
139=来源交换获得$1个源
140=从ED2K服务器找到$1个源
141=从KAD网络找到$1个源
142=服务器断开连接$1:$2
143=KAD已连接
144=缺少文件分块哈西值,数据无法校验